BizKitHub
DocsAPI ReferenceAccounting Entity/bff/accounting-entity/create
postAccounting EntityAdmin BFF

/bff/accounting-entity/create

Create accounting entity

Accounting EntitypostBffAccounting-entityCreate

Parameters

JSON body

Request body

application/json
namestringRequired
Length: 1200
currencystringOptional
Length: 33
contactExternalIdstring | nullOptional
One of 2:
Variant 1
string
Length: 1624
Variant 2
null
accountingYearStartMonthstring | integer | nullOptional
One of 2:
Variant 1
string | integer
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 112
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
externalIdstringRequired

Response example

application/json
{
  "success": true,
  "externalId": "example_externalId"
}

Request example

POST /bff/accounting-entity/create

post
curl -X POST "https://api.bizkithub.com/bff/accounting-entity/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "name": "example_name",
  "currency": "example_currency"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key